import React from "react";

export const LocationIcon = (props) => {
    const width = props?.width ? props?.width : 23.996;
    const height = props?.height ? props?.height : 24;
    return (
        <svg
            xmlns="http://www.w3.org/2000/svg"
            width={width}
            height={height}
            viewBox="0 0 23.996 24"
            {...props}
        >
            <path id="icons8-my-location" d="M14.98,2.978a.857.857,0,0,0-.843.869v.9a10.288,10.288,0,0,0-9.38,9.38h-.9a.857.857,0,1,0,0,1.713h.9a10.288,10.288,0,0,0,9.38,9.38v.9a.857.857,0,1,0,1.713,0v-.9a10.263,10.263,0,0,0,9.38-9.38h.9a.857.857,0,1,0,0-1.713h-.9c-.005-.064,0-.13-.01-.193a10.271,10.271,0,0,0-9.37-9.187v-.9a.857.857,0,0,0-.87-.869Zm-.843,3.483v.813a.857.857,0,1,0,1.713,0V6.461a8.541,8.541,0,0,1,7.666,7.646c0,.007,0,.014,0,.021H22.7a.857.857,0,1,0,0,1.713h.813a8.548,8.548,0,0,1-7.646,7.666H15.85v-.813a.857.857,0,1,0-1.713,0v.813A8.531,8.531,0,0,1,6.47,15.841h.813a.857.857,0,1,0,0-1.713H6.47c0-.007,0-.014,0-.021A8.55,8.55,0,0,1,14.137,6.461Zm.857,5.668a2.849,2.849,0,0,0-2.14.912,2.994,2.994,0,0,0,0,3.886,2.964,2.964,0,0,0,4.279,0,2.994,2.994,0,0,0,0-3.886A2.849,2.849,0,0,0,14.994,12.129Zm0,1.713a1.028,1.028,0,0,1,.859.337,1.286,1.286,0,0,1,0,1.611,1.028,1.028,0,0,1-.859.337,1.028,1.028,0,0,1-.859-.337,1.233,1.233,0,0,1-.283-.805,1.355,1.355,0,0,1,.019-.229,1.173,1.173,0,0,1,.264-.577A1.028,1.028,0,0,1,14.994,13.842Z" transform="translate(-3 -2.978)" />
        </svg>
    );
};

